#include "stdafx.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include <iostream>
#include <fstream>

namespace std{
#include <cstdlib>
};


#include "context.h"


Person::Person()
{
	communication_id="";
};

Person::~Person()
{
	//to do
};

Context::Context()
{
	//lst=NULL;
	meeting_id=0;
	num_attendees=0;
};

void Person::SetPartType(string text)
{
	participant_type=text;
}

void Person::SetCommIn(string text)
{
	communication_in=text;
}

void Person::SetCommOut(string text)
{
	communication_out=text;
}

void Person::SetCommID(string id)
{
	communication_id=id;
}

void Person::SetFirstName(string text)
{
	firstname=text;
}

void Person::SetLastName(string text)
{
	lastname=text;
}

void Person::SetCompanyName(string text)
{
	company_name=text;
}

void Person::SetTitle(string text)
{
	title=text;
}

void Person::ShowData(void)
{
	cout <<"\nCommID:"<< communication_id<<" Type:"<<participant_type<< endl;
	cout <<firstname<<" "<<lastname<< endl;
	cout <<"Title:"<< title<< endl;
	cout <<"Company:"<< company_name<< endl;
	cout <<"CommIn:"<< communication_in<< endl;
	cout <<"CommOut:"<< communication_out<< endl;

}

string Person::GetPartType(void)
{
	return participant_type;
}

string Person::GetCommID(void)
{
	return communication_id;
}

string Person::GetCommIn(void)
{
	return communication_in;
}

string Person::GetCommOut(void)
{
	return communication_out;
}

string Person::GetFirstName(void)
{
	return firstname;
}

string Person::GetLastName(void)
{
	return lastname;
}

string Person::GetCompanyName(void)
{
	return company_name;
}


string Person::GetTitle(void)
{
	return title;
}
//////////////////////////////////////////////////////////////////
Context::~Context()
{
	lst.clear();
}

void Context::ShowDeque(void)
{

	printf("\n%d persons in the list",lst.size()); 

	for(int i=0;i<lst.size();i++)
	{ 
	lst[i].ShowData();
	} 
		
}


const void Context::SetMeetID(int id)
{
	meeting_id=id; 
}

const void Context::SetNoAttend(int no)
{
	num_attendees=no; //or add with the no // +=no
}

const void Context::IncAttendee(void)
{
	num_attendees++;
}

int Context::GetMeetID(void)
{
	return meeting_id;
}

int Context::GetNoAttend(void)
{
	return num_attendees;
}

const void Context::Insert(Person &x)
{
	lst.push_back(x);
}

FILE* Context::PrintData()
{

	ifstream myfile("D:\\eNTERFACE2007\\Work\\C++\\Parser\\out.xml", ios::out);
	FILE *fpout=fopen("out.xml","w");
	if (!fpout) { printf("open xml for output failed\n"); return fpout; }
	
	fprintf(fpout,"<context_profile>\n");
	fprintf(fpout," <meeting_id>%d</meeting_id>\n",meeting_id);
	fprintf(fpout," <num_attendees>%d</num_attendees>\n",num_attendees);
	
	for(int i=0;i<lst.size();i++)
	{
		fprintf(fpout," <participant>\n");

		fprintf(fpout,"  <participant_type>%s</participant_type>\n",lst[i].GetPartType().c_str());
		fprintf(fpout,"  <communications_in>%s</communications_in>\n",lst[i].GetCommIn().c_str());
		fprintf(fpout,"  <communications_out>%s</communications_out>\n",lst[i].GetCommOut().c_str());
		fprintf(fpout,"  <communications_id>%d</communications_id>\n",lst[i].GetCommID());
		fprintf(fpout,"  <firstname>%s</firstname>\n",lst[i].GetFirstName().c_str());
		fprintf(fpout,"  <lastname>%s</lastname>\n",lst[i].GetLastName().c_str());
		fprintf(fpout,"  <company_name>%s</company_name>\n",lst[i].GetCompanyName().c_str());
		fprintf(fpout,"  <title>%s</title>\n",lst[i].GetTitle().c_str());
		
		fprintf(fpout," </participant>\n");
	}
	
	fprintf(fpout,"</context_profile>");
	fclose(fpout);

	return fpout;
}