#pragma once
#include "socketmanager.h"
#include "skype.h"
#include "cSingleFaceVideoVote.h"
#include "WebCamInput.h"
#include "ipcaminput.h"


class CMeetingServiceSocketManager :
	public CSocketManager
{
public:
	CMeetingServiceSocketManager();
	~CMeetingServiceSocketManager(void);
	void OnDataReceived(const LPBYTE lpBuffer, DWORD dwCount);
	void setSiblings(CSocketManager *sc);  //method to assign sibling sockets of the same kind--> makes sense if you are a server and have several connection


protected:
	void ProcessData(const LPBYTE lpData, DWORD dwCount, const SockAddrIn& sfrom);

	cSkype Skype;
	bool bSkypeInitialized;

	bool meetingStarted;

	CSocketManager *mySiblings; //to keep track of those that have started with me

private:
	bool readCompleteFile(FILE *f, char * str);
	bool writeCompleteFile(FILE *f, char *str);

	void StartMeetingConnection();
	bool writeStringOnSocket(char * str);
	void StartVoteRegistrationMode();
	bool sendToEveryone( char *str);


};
