#pragma once

// Open CV headers
#include "cv.h"
#include "highgui.h"

// Normal headers
//#include <stdio.h>
//#include <ctype.h>
#include <stdlib.h>
//#include <string.h>
//#include <assert.h>
//#include <math.h>
//#include <float.h>
//#include <limits.h>

//From the vote registration
#include "D:\Documents and Settings\ana.c.andresdelvalle\My Documents\My Projects\C - Advanced Communications Platform\eNTERFACE\Development\TextVoteRegistration\TextVoteModule\cTextVote.h"

class cSingleFaceVideoVote: 
	public cTextVote
{
public:
	cSingleFaceVideoVote(void);
	cSingleFaceVideoVote(string IPCamAdress);  //if using IPCameras we need the address froom where we grab the frames
	~cSingleFaceVideoVote(void);

	int  startFaceVoteAnalysis();  //returns -1 if error

	bool bWebCam;	//webcam?
	bool bIPCam;	//IPcam?
//	bool bBinary; //binary question?

	bool bDisplayWindow; //should we display the window?

	void setIPCamAddress(string IPCam);
	string getIPCamAddress();


private:

	CvMemStorage* storage;

	// Defing face as a Haar Object
	CvHaarClassifierCascade* cascade;
	char* cascade_name;

	// Some stupid Images
	IplImage *image, *grey, *prev_grey, *pyramid, *maskef, *prev_pyramid,*maske, *swap_temp;

	//Some stupid variables
	int win_size;
	int MAX_COUNT;
	CvPoint2D32f* points[2], *swap_points;
	char* status;
	int count;
	int need_to_init;
	int need_to_detect;

	int night_mode;
	int flags;
	CvPoint pt;

	//to detect the face

	void detect_and_draw( IplImage* img );

	//for IPCamInput

	string sIPCamAddress; //it should contain the URL from which we directly retrieve the IPimages

};
