#pragma once

#include <deque>
#include <string>
#include "cTextVote.h"

//class that deals with vote counting:
//right now it does not deal with even results: it will choose the first option in the list 

class cVoteRegistration
{
public:
	cVoteRegistration(void);
	cVoteRegistration(cTextVote ctv);

	~cVoteRegistration(void);

	void addVote(cTextVote);
	string countVotes();

	string announceStartVoteRegistrationMode();
	string announceEndVoteRegistrationMode();

	string getResult();

	void setReferenceVote(cTextVote);

	void setStartAnnounce(string);

	void setEndAnnounce(string);

protected:
	void setResult(string);


private:

	deque<cTextVote> dVotes;
	cTextVote referenceVote;
	string result;

	string startAnnounce;
	string endAnnounce;

	int *partialResults;
	int maxIndex;
	int maxQuantity;

};
