#include "stdafx.h"
//#include "text_to_speech.h"
//#include "speech_rec.h"
//#include "test_thread.h"
#include "amifc_audio.h"




int main(void)
{
  //settings
	int sample_rate=16000;
	int frames_per_buffer=128;
	float vote_time=3;
	//float num_seconds=3;

 //char c;
 amifc_audio t;
 param p;
 results res;

 //faking the user's choice (normally we would read it)
 /*t.setQuestion("What is your favorite means of transport?");
 string s[5];
 s[0]="car";
 s[1]="plane";
 s[2]="boat";
 s[3]="train";
 s[4]="bus";
 t.setOptions(s,5);*/
 
 t.setQuestion("What do you want to play?");
 string s[7];
 s[0]="backgammon";
 s[1]="chess";
 s[2]="football";
 s[3]="volleyball";
 s[4]="monopoly";
 s[5]="risk";
 s[6]="whist";
 t.setOptions(s,7);
 /*s[0]="black";
 s[1]="blue";
 s[2]="football";
 s[3]="volleyball";
 s[4]="bus";
 t.setOptions(s,5);*/
 //t.setBinary(true);

 //initializing the audio recognition devices (audio acquisition and speech recognition, including creating a recognition dictionary containing the options read from cTextVote)
 bool b=t.reco_init(vote_time, sample_rate, frames_per_buffer,&p);

 if(b)
	{
		//playing the question and options (read from the cTextVote object)
		HRESULT hr=t.tts();

		if(SUCCEEDED(hr))
		{
			//doing audio acquisition for a few seconds and doing the speech recognition (which includes setting the user's choice in the appropriate cTextVote attribute)
			res=t.reco(vote_time,sample_rate,frames_per_buffer,&p);
			res=t.process_results(vote_time,res,sample_rate,frames_per_buffer,&p);
		}
		else
		{
			t.close_audio_devices();
			return 0;
		}

	}
 
 //closing the recognition devices
 t.close_audio_devices();
return 1;

}