#include "stdafx.h"
#include ".\ctextvote.h"



cTextVote::cTextVote(void)
{
	sQuestion = "";
	sOptions = NULL;
	sChosenOption = "";
	bBinary=false;
	sChoice = "";
	iNumOptions=0;
	
}

cTextVote::~cTextVote(void)
{
	if(sOptions!=NULL) delete[] sOptions;
}

	
	string 
		cTextVote::getQuestion(){ 
			return sQuestion;
		};
	void 
		cTextVote::setQuestion(string opt){
		sQuestion=opt;
		};

	string * 
		cTextVote::getOptions(){ 
			return sOptions;
		};

	void 
		cTextVote::setOptions(string *opt, int num){  
		sOptions = new string[num];
		for(int i = 0; i<num; i++)
			sOptions[i] = UpToLow(opt[i]);  //options are always registered in lower case 
		iNumOptions = num;
		};

	bool 
		cTextVote::getBinary(){
			return bBinary;
		};

	void 
		cTextVote::setBinary(bool b){
			bBinary = true;
			iNumOptions = 2;
			sOptions = new string[2];
			sOptions[0] = "yes";  //always in lower case!!
			sOptions[1] = "no";
		};

	string 
		cTextVote::getChoice(){
			return sChoice;
		};
	void 
		cTextVote::setChoice(string s){
		sChoice = s;
		};

	bool 
		cTextVote::verifyChoice(){
			for(int i = 0; i<iNumOptions; i++)
			{
				if(sOptions[i].compare(UpToLow(sChoice))==0)
					return true;

				
			}
			return false;
		}; //returns true if the choice is among the options 
	int 
		cTextVote::getNumOptions(){
			return iNumOptions;
		};

	string
		cTextVote::UpToLow(string str) {
			for (int i=0;i<(int)str.length();i++)
			{
				if (str[i] >= 0x41 && str[i] <= 0x5A)
				{
					str[i] = str[i] + 0x20;
				}
			}
			return str;
		};
		




