// HandsVoteDetection.h: interface for the CHandsVoteDetection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HANDSVOTEDETECTION_H__10FF8C63_42DD_4152_B698_97AE4515B877__INCLUDED_)
#define AFX_HANDSVOTEDETECTION_H__10FF8C63_42DD_4152_B698_97AE4515B877__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Commun.h"
#include "OpenCvImage.h"
#include "SkinMask.h"
#include "PeopleWithHandsList.h"
#include "CaptureFromCAM.h"

class CHandsVoteDetection  
{
public:
	CHandsVoteDetection();
	virtual ~CHandsVoteDetection();
	int startVote(int nbrOfPeopleToDetect);
	int startVote(int nbrOfPeopleToDetect,ULONGLONG nbrMs);
	int getVoteResult();
	void stopVote();

private:
	void detectVotes(unsigned int nbrOfPeopleToDetect);
	CPeopleWithHandsList peoples;
	CCaptureFromCAM capture;
	bool continueVote;
};

#endif // !defined(AFX_HANDSVOTEDETECTION_H__10FF8C63_42DD_4152_B698_97AE4515B877__INCLUDED_)
