// OpenCvTracker.h: interface for the COpenCvTracker class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OPENCVTRACKER_H__88A3F270_6B4B_4CC0_836A_4EB6A80F10C5__INCLUDED_)
#define AFX_OPENCVTRACKER_H__88A3F270_6B4B_4CC0_836A_4EB6A80F10C5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Commun.h"
#include "OpenCvImage.h"

class COpenCvTracker  
{
public:
	COpenCvTracker(COpenCvImage * originalMask,CvRect originalZone);
	virtual ~COpenCvTracker();
	void track(COpenCvImage * mask,CvRect * outputZone);
	void trackIn(COpenCvImage * mask,CvRect * searchZone,CvRect * outputZone);
	static CvRect trackMaskZone(COpenCvImage * oldMask,COpenCvImage * mask,CvRect * oldZone,CvRect * outputZone);
	static void trackMaskZone2(COpenCvImage * oldMask,COpenCvImage * mask,CvRect * oldZone,CvRect * outputZone);
private:
	COpenCvImage * m_originalMask;
	CvRect m_originalZone;
};

#endif // !defined(AFX_OPENCVTRACKER_H__88A3F270_6B4B_4CC0_836A_4EB6A80F10C5__INCLUDED_)
