#pragma once
#include "opencvimage.h"

class CSkinMask :
	public COpenCvImage
{
public:
	CSkinMask(COpenCvImage * original,int erosion=0,int dilatation=0);
	~CSkinMask(void);
	void update(COpenCvImage * original);
	void update2(COpenCvImage * original);

private:
	inline void erosionDilatation(){
		if(m_erosion!=0){erode(m_erosion);}
		if(m_dilatation!=0){dilate(m_dilatation);}
	}
	int m_erosion;
	int m_dilatation;

void detectSkin(IplImage* img, double rmin, double rmax, double gmin, double gmax);
};
