// YCrCb.h: interface for the CYCrCb class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_YCRCB_H__E7661965_071F_46F7_BD81_6592EA6F2EAD__INCLUDED_)
#define AFX_YCRCB_H__E7661965_071F_46F7_BD81_6592EA6F2EAD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CYCrCb  
{
public:
	CYCrCb();
	CYCrCb(unsigned char nY,unsigned char nCr,unsigned char nCb);
	virtual ~CYCrCb();
	static inline bool testSkinColor(unsigned char Cr,unsigned char Cb){
		return Cr > 138 && Cr < 178 && Cb + 0.6 * Cr >200 && Cb + 0.6 * Cr <215;
	}
	static inline bool testSkinColor(unsigned char Cr,unsigned char Cb,unsigned char mCr,int delta){
		int d=Cr-mCr;
		if(d<0){d=-d;}
		return testSkinColor(Cr,Cb)&& d < delta;
	}
	/*
	static inline bool testSkinColor(unsigned char Y,unsigned char Cr,unsigned char Cb){
		return Cr > 138 && Cr < 178 && Cb + 0.6 * Cr >200 && Cb + 0.6 * Cr <215;
	}
	static inline bool testSkinColor(unsigned char Y,unsigned char Cr,unsigned char Cb,unsigned char mCr,int delta){
		int d=Cr-mCr;
		if(d<0){d=-d;}
		return testSkinColor(Y,Cr,Cb)&& d < delta;
	}*/
	unsigned char Y;
	unsigned char Cr;
	unsigned char Cb;
};

#endif // !defined(AFX_YCRCB_H__E7661965_071F_46F7_BD81_6592EA6F2EAD__INCLUDED_)
