#include <stdio.h>
#include <stdlib.h>

#include "commands.h"
#include "context.h"

#ifndef _BASICXML_H_
#define _BASICXML_H_

class basicxmlnode
{
public:
	 char * tag; // always non-NULL
	 char * text; // body + all whitespace, always non-NULL
	 char * * attrs; // array of strings, NULL marks end
	 char * * values; // array of strings, NULL marks end
	 basicxmlnode * * children; // similar
	 int * childreni; // children positions in text

	 basicxmlnode()
	 {};
	 ~basicxmlnode()
	 {};

	static void DeleteBasicxmlnode(basicxmlnode * node);
	static basicxmlnode * ReadBasicxmlnode( FILE * fpi );
	void PrintBasicxmlnode(basicxmlnode * node);
	void PrintBasicxmlnodeTagNames(basicxmlnode * node);
	static void BasicXmlnodeToContext(basicxmlnode * node, Context &cxt, Person &pers, Commands &command, SCommand &scomm);

};

#endif //