#include "stdafx.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include <iostream>

#include "commands.h"

///////////////////////Command Class//////////////////////
SCommand::SCommand()
{
	Num_Parameters=0;
};

SCommand::~SCommand()
{
}

const void SCommand::SetCommandName(string text)
{
	CommandName=text;
}

const void SCommand::SetNoParam(int no)
{
	Num_Parameters=no;
}

string SCommand::GetCommandName(void)
{
	return CommandName;
}

int SCommand::GetNoParam(void)
{
	return Num_Parameters;
}

const void SCommand::InsertParam(string x)
{
	Paramlst.push_back(x);
}

void SCommand::ShowData(void)
{
	cout <<"\nCommandName:"<< CommandName<< endl;
	cout <<"Number of Parameters:"<< Num_Parameters<< endl;
	for(int i=0;i<Num_Parameters;i++)
	{
		cout <<"Param:"<< Paramlst[i].c_str()<< endl;
	}
}

string SCommand::GetParam(int i)
{
	return Paramlst[i].c_str();

}


Commands::Commands()
{
	Num_Commands=0;
}

Commands::~Commands()
{
	//to do
}

const void Commands::IncNumCommands(void)
{
	Num_Commands++;
}

const void Commands::InsertCommand(SCommand &c)
{
	CommandLst.push_back(c);
}

void Commands::ShowCommands(void)
{
	printf("\n%d persons in the list",CommandLst.size()); 
	//to do
	for(int i=0;i<CommandLst.size();i++)
	{ 
	CommandLst[i].ShowData();
	} 

}

FILE* Commands::PrintData(void)
{

	ifstream myfile("D:\\eNTERFACE2007\\Work\\C++\\Parser\\out.xml", ios::out);
	FILE *fpout=fopen("out.xml","w");
	if (!fpout) { printf("open xml for output failed\n"); return fpout; }
	
	fprintf(fpout,"<command_profile>\n");
	
	for(int i=0;i<CommandLst.size();i++)
	{
		fprintf(fpout," <command_name>%s</command_name>\n",CommandLst[i].GetCommandName().c_str());
		fprintf(fpout," <num_param>%d</num_param>\n",CommandLst[i].GetNoParam());
		for(int j=0;j<CommandLst[i].GetNoParam();j++)
		{
			string tmp="param_";
			//tmp.append(1,c);
			fprintf(fpout,"  <%s%d>%s</%s%d>\n",tmp.c_str(),j+1,CommandLst[i].GetParam(j).c_str(),tmp.c_str(),j+1);
		}
	}
	
	fprintf(fpout,"</command_profile>");
	fclose(fpout);

	return fpout;
}
