///////////////////////////////////////////////////////////////////////////////
// FILE : Commands.h
// Header file for Commands class
// Context Profile
///////////////////////////////////////////////////////////////////////////////


#include <deque>
#include <string>
using namespace std;

#include <fstream>

namespace std{
#include <cstdlib>
};


#ifndef _COMMANDS_H_
#define _COMMANDS_H_

class SCommand
{
public: 
	
	string CommandName; //identifier for the command
	int Num_Parameters; //indicates how many parameters have the command
	deque<string> Paramlst;


	
	SCommand();
	~SCommand();

	const void SetCommandName(string text);
	const void SetNoParam(int no);

	string GetCommandName(void);
	int GetNoParam(void);


	const void InsertParam(string x);

	void ShowData(void);

	//void ShowDeque(void);

	string GetParam(int i);
	
};


class Commands
{
public:

	int Num_Commands;
	deque<SCommand> CommandLst;

	Commands();
	~Commands();

	const void IncNumCommands(void);
	const void InsertCommand(SCommand &c);

	void ShowCommands(void);
	FILE* PrintData(void);
};

#endif //
