#include "stdafx.h"
#include ".\ipcaminput.h"

CIPCamInput::CIPCamInput(){}

CIPCamInput::CIPCamInput(string IPAdd)
{
	IPAddress = IPAdd;
}

CIPCamInput::~CIPCamInput(void)
{
}


void 
CIPCamInput::singleFaceVoteRegistration(cSingleFaceVideoVote &vote)
{
	vote.bIPCam = true;
	vote.setIPCamAddress(string(IPAddress));
	displayQuestionAndOptions(vote);
	vote.startFaceVoteAnalysis();
	displayResult(vote);

	
}

void 
CIPCamInput::displayQuestionAndOptions(cTextVote &c)
{
		string message = c.getQuestion();
		for(int i=0; i<c.getNumOptions(); i++)
		{
			message = message + c.getOptions()[i]+";";

		}
		message = message + "\n Vote by nodding or accepting to the camera (5 secs) Thank you";
		MessageBox(NULL, (char*)message.c_str(),"",MB_OK);

}
void 
CIPCamInput::displayResult(cTextVote &c)
{
	string message = "You have chosen: "+c.getChoice();
		

		MessageBox(NULL, (char*)message.c_str(),"",MB_OK);

}

