//A small example how to use the DLL from MSVC console C++ application

// Skype4COMTest.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "..\TextVoteModule\cTextVote.h"
#include "..\TextVoteModule\cVoteRegistration.h"

//#include <urlmon.h>

#import "D:\Documents and Settings\ana.c.andresdelvalle\My Documents\My Projects\C - Advanced Communications Platform\eNTERFACE\Development\TextVoteRegistration\Skype\Skype4COM.dll"

using namespace SKYPE4COMLib;

//you have to write the code to manage the errors!!


int _tmain(int argc, _TCHAR* argv[])
{

	cTextVote a;
	a.setQuestion(string("What color do you prefer?"));
	a.setBinary(false);
	string	*opt = new string[4];
	opt[0]="blue";
	opt[1]="green";
	opt[2]="red";
	opt[3]="none";
	a.setOptions(opt,4);
	a.setChoice("blue");
	a.verifyChoice();

	cTextVote b;
	b.setQuestion(string("What color do you prefer?"));
	b.setBinary(false);
	opt = new string[4];
	opt[0]="blue";
	opt[1]="green";
	opt[2]="red";
	opt[3]="none";
	b.setOptions(opt,4);
	b.setChoice("red");
	b.verifyChoice();

 	cTextVote c;
	c.setQuestion(string("What color do you prefer?"));
	a.setBinary(false);
	opt = new string[4];
	opt[0]="blue";
	opt[1]="green";
	opt[2]="red";
	opt[3]="none";
	c.setOptions(opt,4);
	c.setChoice("green");
	c.verifyChoice();

	cVoteRegistration cvt(c);
	cvt.addVote(a);
	cvt.addVote(b);
	cvt.addVote(c);
	string result = cvt.countVotes();

	printf("%s\n", (char*) cvt.announceStartVoteRegistrationMode().c_str());
	printf("%s\n", (char*) cvt.getResult().c_str());
	printf("%s\n", (char*) cvt.announceEndVoteRegistrationMode().c_str());

	/*
	// Initialize COM
 CoInitialize(NULL);


// printf("%s ", &test.at(0));
// printf("%s / %s\n", &option[0].at(0), &option[1].at(0));

 //URLDownloadToFile(0,"http://ana.andres.free.fr/small.jpg","d:\\test.jpg",0, 0);

// exec("C:\\Program Files\\Skype\\Phone\\Skype.exe"); it does not work but we must do it

  // Create object -->how to create objects!!!
	ISkypePtr pSkype(__uuidof(Skype));

	if(pSkype == NULL)
		exit(-1);

 // Connect to API
	pSkype->Attach(7,VARIANT_TRUE); //if error ask to switch on Skype!!! --> you have to run it first
									//protocol version has to be greater than 4
	if(pSkype == NULL)
		exit(-1);

	IChatPtr pChat = NULL;
	pChat = pSkype->CreateChatWith("bosphorus_07");
	if(pChat==NULL)
		exit(-1);
//	_bstr_t chatName = pChat->GetName();

//	printf("%s\n", (char*)chatName);

	pSkype->ClearChatHistory();
	pChat->OpenWindow();
	
	
// VoteRegistrationObject

	//Example binary questions
/*
	cTextVote a;
	a.setQuestion(string("Do you like chocolate?"));
	a.setBinary(true);

 /**/
 
 //Example multiplechoice questions
/*
	cTextVote a;
	a.setQuestion(string("What color do you prefer?"));
	a.setBinary(false);
	string *opt = new string[4];
	opt[0]="blue";
	opt[1]="green";
	opt[2]="red";
	opt[3]="none";
	a.setOptions(opt,4);

/*	

	string test = a.getQuestion();
	string * option = a.getOptions();
	
 
	string message= a.getQuestion();
	
	for(int i=0; i<a.getNumOptions(); i++)
		message = message+ "; "+a.getOptions()[i];

	
	pChat->SendMessage(&message.at(0));
	pSkype->PutCache(false); //to do when entering vote_registration mode
	bool finished = false;
	
	while (!finished)
	{
		
		IChatMessageCollectionPtr pChatMessColl = pChat->GetMessages();  //from most recent to first
		
		while(message.compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))==0)  //we compare the last message
		{
			pChatMessColl = pChat->GetMessages();
		}
		
		printf("A vote was issued");
		a.setChoice(string((char*) pChatMessColl->GetItem(1)->GetBody()));
		if(a.verifyChoice())
		{
			message = "You have chosen: " + a.getChoice() + ". Do you want to keep your vote? y/n"; //optional
			pChat->SendMessage(&message.at(0)); //optional
			pChatMessColl = pChat->GetMessages();
		
			while(string("y").compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))!=0&&
				string("Y").compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))!=0&&
				string("n").compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))!=0&&
				string("N").compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))!=0)  //we compare the last message
			{
				if(message.compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))!=0)
				{
					message = "Pardon?"; //optional
					pChat->SendMessage(&message.at(0)); //optional
				}
				pChatMessColl = pChat->GetMessages();
				
			}

			if(string("n").compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))==0||
				string("N").compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))==0)
			{
				finished = false;
				message = "Please, vote again"; //optional
				pChat->SendMessage(&message.at(0)); //optional
				//break;
			}
			else
				finished = true;
		}
		else
		{
			message = a.getChoice() + ": This is not a valid option. Could you vote again?";
			pChat->SendMessage(&message.at(0));
		/*	pChatMessColl = pChat->GetMessages();
			while(message.compare(string((char*) pChatMessColl->GetItem(1)->GetBody()))==0)  //we compare the last message
			{
				pChatMessColl = pChat->GetMessages();
			}*/
		//	finished = false;
	/*		if(a.verifyChoice())
			{
				message = "You have chosen " + a.getChoice();
				pChat->SendMessage(&message.at(0));
			}

		}
	}



	pSkype->PutCache(true); //to do right after exiting vote_registration mode
	printf("We reached the end of the vote_registration");


	pSkype->Release();
	//pChat->Release();


 CoUninitialize();
*/
 return 0;
}

/* CODE TO MANTAIN AS REFERENCE BECAUSE THERE IS NO DOCUMENTATION */
/*
	pChat->SendMessage("tEST");


	for(int i=1; i<=pChatMessColl2->GetCount()&&0!=pChatMessColl2->GetCount(); i++)
	{
		printf("(a1) %s\n", (char*) pChatMessColl2->GetItem(i)->GetBody()); 
	}

	Sleep(10000);


	IChatPtr pChat2 = pSkype->CreateChatWith("bosphorus_07");
	pChat2->SendMessage("write now");
	
	IChatMessageCollectionPtr pChatMessColl = pChat2->GetRecentMessages();  //from most recent to first


	for(int i=1; i<=pChatMessColl->GetCount()&&0!=pChatMessColl->GetCount(); i++)
	{
		printf("(a2) %s\n", (char*) pChatMessColl->GetItem(i)->GetBody()); 
	}

	pSkype->PutCache(false);

	pChat->SendMessage("tEST 2");
	pChatMessColl2 = pChat->GetRecentMessages();  //from most recent to first
	
	for(int i=1; i<=pChatMessColl2->GetCount()&&0!=pChatMessColl2->GetCount(); i++)
	{
		printf("(a3) %s\n", (char*) pChatMessColl2->GetItem(i)->GetBody()); 
	}

	pSkype->PutCache(true);



/*
	pChat->SendMessage("Answer to this");
//	pSkype->ClearChatHistory();
//	pChatMessColl2->RemoveAll();

	Sleep(10000);
	pChatMessColl2 = pChat->GetMessages();


	for(int i=1; i<=pChatMessColl2->GetCount()&&0!=pChatMessColl2->GetCount(); i++)
	{
		printf("(a) %s\n", (char*) pChatMessColl2->GetItem(i)->GetBody()); 
	}

	pChat = NULL;
	pChat = pSkype->GetChat(chatName);

	pChatMessColl2 = NULL;
	pChatMessColl2 = pChat->GetMessages();
	
	for(int i=1; i<=pChatMessColl2->GetCount(); i++)
	{
		printf("1. (%d) %s\n", i,(char*) pChatMessColl2->GetItem(i)->GetBody()); 
	}
	Sleep(5000);
	
	pChat = pSkype->GetChat(chatName);

	IChatMessageCollectionPtr pChatMessColl3 = pChat->GetRecentMessages();
*/