// CaptureFromCAM.cpp: implementation of the CCaptureFromCAM class.
//
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "CaptureFromCAM.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CCaptureFromCAM::CCaptureFromCAM():capture(cvCaptureFromCAM(0)),frame(0),frame_old(0),frame_current(0){}

CCaptureFromCAM::~CCaptureFromCAM(){
	if(capture){cvReleaseCapture( &capture );}
	if(frame_current){delete (frame_current );}
	if(frame_old){delete( frame_old );}
}

void CCaptureFromCAM::next(){
	if(capture){
		if(frame){
			if( !frame_old ){frame_old = new COpenCvImage(frame->size());}
			frame_old->copy(frame);
		}
		if(cvGrabFrame(capture)){
			IplImage * newframe=cvRetrieveFrame(capture);
			if(!frame){
				frame = new COpenCvImage(newframe);
				frame_current = new COpenCvImage(frame);
			}else{
				frame->setImage(newframe);
				frame_current->copy(frame);
			}
		}
	}
}