// CvPointList.h: interface for the CCvPointList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CVPOINTLIST_H__DC167DA5_50F2_424D_B94B_B465452E634C__INCLUDED_)
#define AFX_CVPOINTLIST_H__DC167DA5_50F2_424D_B94B_B465452E634C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <vector>
#include "Commun.h"
#include "OpenCvImage.h"

class CCvPointList  
{
public:
	CCvPointList();
	virtual ~CCvPointList();
	void getAveragePoints(COpenCvImage* frame,int minx,int miny,int maxx,int maxy,int validationPourcentage,int validationZoneH,int validationZoneW);
	bool testZone(COpenCvImage* skinMask,double pourcentage,int minx,int miny,int maxx,int maxy);
	CvPoint getCloserCvPoint(int x, int y);
	std::vector<CvPoint> m_CvPoints;
};

#endif // !defined(AFX_CVPOINTLIST_H__DC167DA5_50F2_424D_B94B_B465452E634C__INCLUDED_)
