// DeltaColor.h: interface for the CDeltaColor class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DELTACOLOR_H__3DEB095C_2939_482D_A80D_761CB61CB941__INCLUDED_)
#define AFX_DELTACOLOR_H__3DEB095C_2939_482D_A80D_761CB61CB941__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "YCrCb.h"

class CDeltaColor  
{
public:
	CDeltaColor();
	virtual ~CDeltaColor();
	void update(CYCrCb color);
	void update(unsigned char Y,unsigned char Cr,unsigned char Cb);
	bool test(CYCrCb color);
	bool test(unsigned char Y,unsigned char Cr,unsigned char Cb,int p);
	bool test(unsigned char Y,unsigned char Cr,unsigned char Cb);
	CYCrCb min;
	CYCrCb max;
	CYCrCb average;
	int cpt;
};

#endif // !defined(AFX_DELTACOLOR_H__3DEB095C_2939_482D_A80D_761CB61CB941__INCLUDED_)
