// FaceDetection.h: interface for the CFaceDetection class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FACEDETECTION_H__02CD67D1_7C5B_4E17_8CDC_D9212E290498__INCLUDED_)
#define AFX_FACEDETECTION_H__02CD67D1_7C5B_4E17_8CDC_D9212E290498__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Commun.h"
#include "PeopleWithHands.h"
#include "SkinMask.h"

class CFaceDetection  
{
public:
	CFaceDetection();
	virtual ~CFaceDetection();
	bool trackFace( IplImage* img , CvRect * head,CSkinMask * headsResearchMask);
	bool trackFaceWithSkin(COpenCvImage * skinMaskOld,COpenCvImage * skinMask, CvRect * head);
	bool trackFace( IplImage* img , CvRect * head);
	CvSeq * detectFace( IplImage* img );
private:
	CvHaarClassifierCascade* cascade;
	CvMemStorage* storage;
};

#endif // !defined(AFX_FACEDETECTION_H__02CD67D1_7C5B_4E17_8CDC_D9212E290498__INCLUDED_)
