// HandsVoteDetection.cpp: implementation of the CHandsVoteDetection class.
//
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "HandsVoteDetection.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CHandsVoteDetection::CHandsVoteDetection():continueVote(false),capture(),peoples(capture){}

CHandsVoteDetection::~CHandsVoteDetection(){
}


int CHandsVoteDetection::startVote(int nbrOfPeopleToDetect){
	continueVote=true;
	for(;continueVote;){
		capture.next();
		if(capture.frame_old!=0){detectVotes(nbrOfPeopleToDetect );}
        if( cvWaitKey( 10 ) >= 0 ){break;}
	}
    return 0;
}

int CHandsVoteDetection::startVote(int nbrOfPeopleToDetect,ULONGLONG nbrMs){
	ULONGLONG systemTimeStartIn_ms=CCommun::getCurrentTimeInMs();
	ULONGLONG systemTimeCurrentIn_ms=CCommun::getCurrentTimeInMs();
	ULONGLONG nbrSecondsToGo=nbrMs/1000;
	for(;(systemTimeCurrentIn_ms-systemTimeStartIn_ms)<nbrMs;){
		capture.next();
		if(capture.frame_old!=0){
			detectVotes(nbrOfPeopleToDetect);
		}
		if( cvWaitKey( 10 ) >= 0 ){break;}
		systemTimeCurrentIn_ms=CCommun::getCurrentTimeInMs();
		ULONGLONG seconds=(nbrMs-(systemTimeCurrentIn_ms-systemTimeStartIn_ms))/1000;
		if(nbrSecondsToGo>seconds){
			nbrSecondsToGo--;
			printf("nbr yes = %d, the vote session ends in %d s\n",peoples.getNbrOfYesVote(),nbrSecondsToGo);
		}
	}
    return peoples.getNbrOfYesVote();
}

void CHandsVoteDetection::stopVote(){
	continueVote=false;
}

int CHandsVoteDetection::getVoteResult(){
	return peoples.getNbrOfYesVote();
}

void CHandsVoteDetection::detectVotes(unsigned int nbrOfPeopleToDetect){


	peoples.update(nbrOfPeopleToDetect);
	peoples.draw(capture.frame_current);
	(capture.frame_current)->showImage();
	//1. Face detection
	/*
	if(peoples.m_peoples.size()<nbrOfPeopleToDetect){
		peoples.updateHeads(capture.frame_current,maskSkin);
	}

	//peoples.clean();
	//peoples.updateSkinMasks(frameNew);

	peoples.autoTrackingHeadsZone(capture.frame_current,maskSkinOld,maskSkin);
	//peoples.autoTrackingHeads(frameNew);
	//peoples.autoTrackingWithSkinMask(maskSkinOld,maskSkin);

	peoples.stupidHandsDetection(maskSkin);
	//peoples.autoTrackingWithSkinMask(frameOld,frameNew);
*/
	//3. Mouvement detection
	/*int threshold=10;
    if(maskMvt){
		maskMvt->mvtMask(frameOld,frameNew, threshold);
		maskMvt->showImage();
	}else{
		maskMvt=COpenCvImage::getMvtImage( frameOld,frameNew, threshold );
	}

	if(!maskSkinMvt){maskSkinMvt= new COpenCvImage(frameNew->size());}
	maskSkinMvt->setAsCvAnd(maskMvt,maskSkin);*/
	
	//double pSkin=10;
	//peoples.cleanSkinTest(maskSkin->im,pSkin);

	
	//peoples.removeHeadsFromMask(maskSkinMvt->im);
	//maskSkinMvt->showImage();

//	peoples.cleanSkinTestHands(maskSkin,pSkin);
//	cvShowImage( "maskHead", maskSkinMvt );

//	peoples.updateLR(maskSkinMvt->im);

//	peoples.drawResult(frameNew->im);
//	peoples.showResult(frameNew->im);
//	maskSkin->showImage();
}